# module ActiveRecord::ConnectionAdapters::DetermineIfPreparableVisitor

### Attributes

preparable[R]

### Public Instance Methods

accept(*) click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/determine_if_preparable_visitor.rb, line 6
    def accept(*)
      @preparable = true
      super
    end

visit_Arel_Nodes_In(*) click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/determine_if_preparable_visitor.rb, line 11
    def visit_Arel_Nodes_In(*)
      @preparable = false
      super
    end

visit_Arel_Nodes_SqlLiteral(*) click to toggle source
Calls superclass method

    # File lib/active_record/connection_adapters/determine_if_preparable_visitor.rb, line 16
    def visit_Arel_Nodes_SqlLiteral(*)
      @preparable = false
      super
    end